GRASS toolbox: don't allow for operations on a vector with broken topology

2010-11-13 05:35 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13265

Description

In Browser, if a vector map has broken topology, actions in the context menu should be greyed out. It would be cool if "Rebuild topology"

action was added for such case.

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 09:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2016-05-18 05:33 AM - Radim Blazek

The browser was removed from GRASS plugin and the functionality migrated to the standard QGIS browser.

If the topology is broken, the vector has 'broken' icon and the actions requiring topology are disabled.

#7 - 2016-05-18 05:34 AM - Radim Blazek

- Status changed from Open to Closed
